function MM1nekoFIFO(lambda,mi,k)



%funkce pro specialni pripad SHO typu: M|M|1|nekonecno|FIFO

%vstupni parametry:

%lambda...parametr vstupniho proudu tohoto systemu

%mi...parametr rozlozeni doby obsluhy

%k...pocet zakazniku v systemu

%funkce urci, zda-li se system muze stabilizovat, intenzitu provozu

%pravdepodobnost, ze pocet zakazniku v systemu bude nejvyse k,

%charakteristiky systemu:

%EN...stredni hodnota poctu zakazniku v systemu

%ENs...stredni hodnota poctu obsluhovanych zakazniku

%ENq...strednihodnota poctu zakazniku ve fronte

%EW...stredni hodnota doby, kterou zakaznik stravi v systemu

%EWs...stredni hodnota doby obsluhy zakaznika

%EWq...stredni hodnota doby cekani ve fronte

%Pravdepodobnost, ze zakaznik ceka/neceka ve fronte



%k by melo byt nekonecno, ale vysledek by mel byt stejny pro libovolne k=>0

v=0:k;

rho=lambda/mi;



if rho>1 disp('System se nemuze stabilizovat')

else disp('System se muze stabilizovat')    

a=(1-rho)*rho.^v;

p=1-rho^(k+1);

disp('Intenzita provozu je: ')

disp(rho)

disp('Pravdepodobnost, ze pocet zakazniku v systemu bude nejvyse:') 

disp(k)

disp('je rovna:')

disp(p)

EN=rho/(1-rho);

EW=1/(mi-lambda);

EWs=1/mi;

ENs=rho;

EWq=lambda/(mi*(mi-lambda));

ENq=lambda^2/(mi*(mi-lambda));

disp('Charakteristiky systemu jsou: ')

EN, ENs, ENq, EW, EWs, EWq 

disp('Pravdepodobnost, ze zakaznik nebude cekat ve fronte je:')

disp(a(1,1))

disp('Pravdepodobnost, ze zakaznik bude cekat ve fronte je:')

disp(1-a(1,1))

end;