function MMnnekoFIFO(lambda,mi,n)



%funkce pro specialni pripad SHO typu: M|M|n|nekonecno|FIFO

%vstupni parametry:

%lambda...parametr vstupniho proudu tohoto systemu

%mi...parametr rozlozeni doby obsluhy

%n...pocet linek obsluhy

%funkce urci, zda-li se system muze stabilizovat, intenzitu provozu

%charakteristiky systemu:

%EN...stredni hodnota poctu zakazniku v systemu

%ENs...stredni hodnota poctu obsluhovanych zakazniku

%ENq...strednihodnota poctu zakazniku ve fronte

%EW...stredni hodnota doby, kterou zakaznik stravi v systemu

%EWs...stredni hodnota doby obsluhy zakaznika

%EWq...stredni hodnota doby cekani ve fronte

%Pravdepodobnost, ze prichazejici zakaznik bude cekat ve fronte

%Cast z casove jednotky provozu, po kterou bude system prazdny





%k by melo byt nekonecno, ale vysledek by mel byt stejny pro libovolne k=>0

k=10;



beta=lambda/mi;

rho=beta/n;



if rho>1 disp('System se nemuze stabilizovat')

else disp('System se muze stabilizovat')

    disp('Intenzita provozuje je: ')

    disp(rho)

   j=0:n-1;

    a0=(1./factorial(j))*(beta.^j)'+(n*beta^n)/(factorial(n)*(n-beta));

    a0=inv(a0);

    j=1:n;

    a1=(1./factorial(j)).*(beta.^j).*a0;

    j=n+1:k;

    a2=((beta.^j)*a0)./((factorial(n))*n.^(j-n));

    a=[a0,a1,a2];

end



Pq=a0*beta^n/(factorial(n)*(1-rho));

disp('Pravdepodobnost, ze prichazejici zakaznik bude cekat ve fronte je:')

disp(Pq)

EN=Pq*rho/(1-rho)+n*rho;

ENq=Pq*rho/(1-rho);

ENs=n*rho;

EW=Pq*rho/(lambda*(1-rho))+1/mi;

EWq=Pq*rho/(lambda*(1-rho));

EWs=1/mi;



disp('Charakteristiky systemu jsou: ')

EN, ENs, ENq, EW, EWs, EWq 



disp('Cast z casove jednotky provozu, po kterou bude system prazdny:')

disp(a0)





